Advertising (This ad goes away for registered users. You can Login or Register)

PSV Required Firmware List - Need Volunteers

Discuss official PS Vita games here
ViRGE
Posts: 81
Joined: Mon Oct 08, 2012 8:31 am

Re: PSV Required Firmware List - Need Volunteers

Post by ViRGE » Sat Jan 30, 2016 2:22 am

ViRGE wrote:I don't suppose anyone knows what firmware Lego Marvel Avengers requires? I'm going to guess it's 3.55, but I'm curious if anyone who actually has it knows more.
I found the answer to this elsewhere. It is indeed 3.55.
Advertising

User avatar
frostvi3n
Posts: 137
Joined: Wed Sep 09, 2015 3:44 pm
Location: Iran

Re: PSV Required Firmware List - Need Volunteers

Post by frostvi3n » Sun Jan 31, 2016 6:03 pm

Bastion PSN version Requires 3.55
just bought the game and got disappointed cause im running 3.51

Updated the wiki in here also , thanks to all contributer

Code: Select all

http://wololo.net/wiki/psvita:gamesfw
Advertising

Guirao21
Posts: 1
Joined: Tue Feb 02, 2016 4:20 pm

Re: PSV Required Firmware List - Need Volunteers

Post by Guirao21 » Tue Feb 02, 2016 4:24 pm

Daniel_Davies85 wrote: Also, Trails of Cold Steel (PAL) works on 3.55 but I'm not sure what the required is.
I can confirm that Trails of Cold Steel (EUR/PAL) requires 3.55.

jdf335
Posts: 6
Joined: Sun Mar 16, 2014 7:25 am

Re: PSV Required Firmware List - Need Volunteers

Post by jdf335 » Tue Feb 02, 2016 10:49 pm

Does anyone know the firmware needed for Dungeon Travelers 2 (NA)? I'm guessing 3.52, but just want to know for sure.
Thanks.

Bert960
Posts: 307
Joined: Sat Mar 22, 2014 10:45 pm

Re: PSV Required Firmware List - Need Volunteers

Post by Bert960 » Tue Feb 02, 2016 11:19 pm

Does anyone know which FW does Digimon Story Cyber Sleuth (NA) works on?

ViRGE
Posts: 81
Joined: Mon Oct 08, 2012 8:31 am

Re: PSV Required Firmware List - Need Volunteers

Post by ViRGE » Wed Feb 03, 2016 11:25 am

Bert960 wrote:Does anyone know which FW does Digimon Story Cyber Sleuth (NA) works on?
I have seen it reported elsewhere (and I have no reason to doubt this) that it's 3.55.

Ubergeek77
Posts: 3
Joined: Tue Jan 26, 2016 7:33 am

Re: PSV Required Firmware List - Need Volunteers

Post by Ubergeek77 » Sat Feb 06, 2016 3:26 am

I'm really eager to see what would happen if I tried to run a game that requires a system update by making it bootable in app.db, and changing the 1203824812 and 3794959877 keys (in tbl_appinfo) to my current firmware. I don't have a game to do that with, but I'm willing to bet that if the game itself doesn't programatically require any additional libraries or system calls provided by a newer firmware, it would run just fine.

I could be wrong, but it's worth a shot. Even if one game doesn't run via that method, another game might run fine.

Has anyone tried something like this?


EDIT: What was I thinking? Of course it couldn't have been that easy. This is Sony we're talking about.

So I downloaded 2 demos - Citizens of Earth and Run Sackboy Run. Both require 3.36, and I'm on 3.18. Before trying this little trick, I tried launching both, and immediately got prompted to update - couldn't even get into the LiveArea. After doing it, I was able to get into the LiveArea of each game and attempt to launch the games. But of course, it couldn't have been that simple, and trying to launch those games gives me the following error: C1-7084-9. I couldn't find any info on this error, so I'm guessing very little people have tried this.

Are there any other potential spoofing methods available to us? Perhaps via registry hacking? Honestly I'm open to anything at this point. There's a few games I really want to play, but I'm certainly not giving up my custom bubbles, rejuvenate, or TN-X.

jdf335
Posts: 6
Joined: Sun Mar 16, 2014 7:25 am

Re: PSV Required Firmware List - Need Volunteers

Post by jdf335 » Sat Feb 06, 2016 10:56 pm

Ubergeek77 wrote:I'm really eager to see what would happen if I tried to run a game that requires a system update by making it bootable in app.db, and changing the 1203824812 and 3794959877 keys (in tbl_appinfo) to my current firmware. I don't have a game to do that with, but I'm willing to bet that if the game itself doesn't programatically require any additional libraries or system calls provided by a newer firmware, it would run just fine.

I could be wrong, but it's worth a shot. Even if one game doesn't run via that method, another game might run fine.

Has anyone tried something like this?


EDIT: What was I thinking? Of course it couldn't have been that easy. This is Sony we're talking about.

So I downloaded 2 demos - Citizens of Earth and Run Sackboy Run. Both require 3.36, and I'm on 3.18. Before trying this little trick, I tried launching both, and immediately got prompted to update - couldn't even get into the LiveArea. After doing it, I was able to get into the LiveArea of each game and attempt to launch the games. But of course, it couldn't have been that simple, and trying to launch those games gives me the following error: C1-7084-9. I couldn't find any info on this error, so I'm guessing very little people have tried this.

Are there any other potential spoofing methods available to us? Perhaps via registry hacking? Honestly I'm open to anything at this point. There's a few games I really want to play, but I'm certainly not giving up my custom bubbles, rejuvenate, or TN-X.
Some people have tried already on viewtopic.php?f=54&t=44429

Cyber
Posts: 236
Joined: Sat Aug 30, 2014 8:39 am

Re: PSV Required Firmware List - Need Volunteers

Post by Cyber » Tue Feb 09, 2016 5:04 pm

Ubergeek77 wrote:EDIT: What was I thinking? Of course it couldn't have been that easy. This is Sony we're talking about.
Sony have been hardcoding minimum firmware requirement into PSP EBOOTs since forever. People were patching newer games for 5.00 M33 for a few years for example, but doing on this on Vita is impossible unless we get a native CFW or somehow find out how to decrypt, patch and resign Vita EBOOTs. And even then there's a good chance that everything created for firmwares 3.50+ won't work on 3.36- due to extra RAM unlocked for games in 3.50.

protivakid
Posts: 31
Joined: Wed Mar 09, 2016 12:52 pm

Re: PSV Required Firmware List - Need Volunteers

Post by protivakid » Thu Mar 31, 2016 2:32 am

I got Phantasy Star Nova tonight and was presented with a message that it needed 3.30+

Anyone try any of the PSN HD Oddworld games?

Post Reply

Return to “Games”